<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__resource__pin__mapping__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_resource_pin_mapping_t</compoundname>
    <includes local="no">cyhal_psoc6_04_80_tqfp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref> *</type>
        <definition>const cyhal_resource_inst_t * cyhal_resource_pin_mapping_t::inst</definition>
        <argsstring />
        <name>inst</name>
        <briefdescription>
<para>The associated resource instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" bodystart="145" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" line="145" />
      </memberdef>
      <memberdef id="structcyhal__resource__pin__mapping__t_1a61f6033fdaae54a06ac8e63656b2a37a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_resource_pin_mapping_t::pin</definition>
        <argsstring />
        <name>pin</name>
        <briefdescription>
<para>The GPIO pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" bodystart="146" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" line="146" />
      </memberdef>
      <memberdef id="structcyhal__resource__pin__mapping__t_1a01c7dc6cfa4fca67252a14571b98a3ff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_resource_pin_mapping_t::drive_mode</definition>
        <argsstring />
        <name>drive_mode</name>
        <briefdescription>
<para>The DriveMode configuration value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" bodystart="147" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" line="147" />
      </memberdef>
      <memberdef id="structcyhal__resource__pin__mapping__t_1ad4514be01ab83c7248c320b3232145c1" kind="variable" mutable="no" prot="public" static="no">
        <type>en_hsiom_sel_t</type>
        <definition>en_hsiom_sel_t cyhal_resource_pin_mapping_t::hsiom</definition>
        <argsstring />
        <name>hsiom</name>
        <briefdescription>
<para>The HSIOM configuration value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" bodystart="148" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" line="148" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Represents an association between a pin and a resource. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="122">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="121">
        <label>cyhal_resource_pin_mapping_t</label>
        <link refid="structcyhal__resource__pin__mapping__t" />
        <childnode refid="122" relation="usage">
          <edgelabel>inst</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="149" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" bodystart="143" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/pin_packages/cyhal_psoc6_01_104_m_csp_ble.h" line="144" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__resource__pin__mapping__t_1a01c7dc6cfa4fca67252a14571b98a3ff" virt="non-virtual"><scope>cyhal_resource_pin_mapping_t</scope><name>drive_mode</name></member>
      <member prot="public" refid="structcyhal__resource__pin__mapping__t_1ad4514be01ab83c7248c320b3232145c1" virt="non-virtual"><scope>cyhal_resource_pin_mapping_t</scope><name>hsiom</name></member>
      <member prot="public" refid="structcyhal__resource__pin__mapping__t_1a5c5b6367a94636f9811352bbbc69b1db" virt="non-virtual"><scope>cyhal_resource_pin_mapping_t</scope><name>inst</name></member>
      <member prot="public" refid="structcyhal__resource__pin__mapping__t_1a61f6033fdaae54a06ac8e63656b2a37a" virt="non-virtual"><scope>cyhal_resource_pin_mapping_t</scope><name>pin</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>